<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Bank Print";
$file = "bank_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $name = $_POST[name];

    $namecond = "";
    if (!empty($name)) {
        $namecond = " AND `accode` = '$name' ";
    }
    $getbank = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode` ='001' $namecond ORDER BY NAME")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container" style='width:50%'>
            <?php include("includes/head_rep.php");
            ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered">
                        <tr class="mySearchTr">
                            <th width="1%">Sr</th>
                            <th width="10%">Name</th>
                            <th width="1%">Initial</th>
                            <th width="10%" style="text-align: right;">Opening Balance</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getbank)) {

                            Echo "<tr class='bgwhite'>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[init]</td>";
                            Echo "<td style='text-align: right;'>$pmain[openbal] " . " $pmain[dc]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}


if (isset($_POST["excel"])) {
    $name = $_POST[name];

    $namecond = "";
    if (!empty($name)) {
        $namecond = " AND `accode` = '$name' ";
    }
    $getbank = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode` ='001' $namecond ORDER BY NAME")or die(mysqli_error($conn));


    $contents .= "Sr,Name,Initial,Opening Balance\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getbank)) {

        $contents .= "$ctr" . ",";
        $contents .= "$pmain[name]" . ",";
        $contents .= "$pmain[init]" . ",";
        $contents .= "$pmain[openbal] $pmain[dc]" .  "\n";

        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
